# class SignallingCall | Abstract single phone call. More...
Contains pure virtuals
Full name | `TelEngine::SignallingCall`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::Mutex [public ], TelEngine::RefObject [public ]
Inherited by | ISDNQ931Call, ISDNQ931CallMonitor, SS7ISUPCall
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SignallingCall (SignallingCallControl* controller, bool outgoing, bool signalOnly = false)
- virtual ~SignallingCall ()
- inline bool outgoing () const
- inline SignallingCallControl* controller () const
- inline void userdata (void* data)
- inline void* userdata () const
- inline bool signalOnly () const
- inline bool overlapDialing () const
- virtual bool sendEvent (SignallingEvent* event)
- virtual SignallingEvent* getEvent (const Time& when)
- virtual void eventTerminated (SignallingEvent* event)

#### Protected Methods

- void enqueue (SignallingMessage* msg)
- SignallingMessage* dequeue (bool remove = true)
- void clearQueue ()

#### Protected Members

- SignallingEvent* m_lastEvent
- bool m_overlap

## Detailed Description

Interface of protocol independent phone call

SignallingCall (SignallingCallControl* controller, bool outgoing, bool signalOnly = false) | ### SignallingCall

Constructor

Parameters:

controller | The call controller owning this call
outgoing | Call direction (true for outgoing)
signalOnly | Just signalling (no voice) flag

~SignallingCall () | ### ~SignallingCall

[virtual]

Destructor, notifies the controller

inline bool outgoing () | ### outgoing

[const]

Check if this is an outgoing call

Returns: True if it's an outgoing call

inline SignallingCallControl* controller () | ### controller

[const]

Retreive the controller of this call

inline void userdata (void* data) | ### userdata

Set this call's private user data

Parameters:

data | New user data

inline void* userdata () | ### userdata

[const]

Retreive the private user data of this call

Returns: User data

inline bool signalOnly () | ### signalOnly

[const]

Check if this call is just a signalling (no voice) one

Returns: True if no audio data can be negotiated for this call

inline bool overlapDialing () | ### overlapDialing

[const]

Check if this call is in overlapped send/recv state

Returns: True if this call is expecting more digits to be sent/received

bool sendEvent (SignallingEvent* event) | ### sendEvent

[virtual]

Send an event to this call

Parameters:

event | The event to send

Returns: True if the operation succedded

SignallingEvent* getEvent (const Time& when) | ### getEvent

[pure virtual]

Get an event from this call if not already got one This method is thread safe

Parameters:

when | The current time

Returns: SignallingEvent pointer or 0 if no events or this call has a not terminated event

void eventTerminated (SignallingEvent* event) | ### eventTerminated

[virtual]

Event terminated notification. No event will be generated until the current event is terminated This method is thread safe

Parameters:

event | The terminated event

void enqueue (SignallingMessage* msg) | ### enqueue

[protected]

Enqueue a received message. This method is thread safe

Parameters:

msg | The received message

SignallingMessage* dequeue (bool remove = true) | ### dequeue

[protected]

Dequeue a received message. Just return it if remove is false This method is thread safe

Parameters:

remove | True to remove the message from queue

Returns: SignallingMessage pointer or 0 if no more messages

void clearQueue () | ### clearQueue

[protected]

Clear incoming messages queue

SignallingEvent* m_lastEvent | ### m_lastEvent

[protected]

bool m_overlap | ### m_overlap

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.